FreeBSD : squid -- denial-of-service vulnerabilities (5bf1a715-cc57-440f-b0a5-6406961c54a7)

Medium Nessus Plugin ID 18947


The remote FreeBSD host is missing a security-related update.


The Squid team reported several denial-of-service vulnerabilities related to the handling of DNS responses and NT Lan Manager messages.
These may allow an attacker to crash the Squid cache.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 18947

File Name: freebsd_pkg_5bf1a715cc57440fb0a56406961c54a7.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2005/07/13

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:squid, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2005/06/03

Vulnerability Publication Date: 2005/01/16

Reference Information

CVE: CVE-2005-0096, CVE-2005-0097, CVE-2005-0446